.gallery__section {
    .gallery__title {
        @include h2;
        margin-bottom: 40px;

        @media (max-width: 1024px) {
            margin-bottom: 24px;
        }

        @media (max-width: 425px) {
            margin-bottom: 16px;
        }
    }

    .gallery {
        display: flex;
        justify-content: space-between;
        gap: 24px;
        width: 100%;
        height: 588px;
        margin-bottom: 24px;


        @media (max-width: 1024px) {
            height: 438px;
            gap: 20px;
        }

        @media (max-width: 768px) {
            height: 314px;
            gap: 16px;
        }

        @media (max-width: 425px) {
            flex-direction: column;
            height: 100%;
        }

        .fancybox {
            position: relative;

            &:after {
                position: absolute;
                content: url('../../images/main/search.svg');
                top: 50%;
                left: 50%;
                transform: translate(-50%, -50%);
                z-index: 2;
                opacity: 0;
                transition: 0.3s ease;
            } 

            &:hover {
                .fancybox__image {
                    background-size: cover;
                    background-color: rgba(0, 0, 0, 0.4);
                    background-image: url('images/main/search.svg');
                    opacity: 0.5;
                }

                &:after {
                    opacity: 1;
                }
            }

            &__image {
                display: block;
                background-repeat: no-repeat;
                background-size: cover;
                background-position: center center;
                background-blend-mode: overlay;
                position: relative;
                z-index: 1;
                width: 100%;
                height: 100%;
                transition: 0.3s ease;
            }
        }

        &__image {
            width: 50%;
            height: 100%;

            @media (max-width: 425px) {
                width: 100%;
                height: 212px;
            }
        }

        &__wrapper {
           display: grid;
           grid-template-columns: 1fr 1fr;
           gap: 24px;
           width: 50%;

            @media (max-width: 1024px) {
                gap: 20px;
            }

            @media (max-width: 768px) {
                gap: 16px;
            }

            @media (max-width: 425px) {
                width: 100%;
                grid-template-columns: 1fr;
            }

           .gallery__image {
                width: 100%;
                height: 100%;

                @media (max-width: 425px) {
                    height: 212px;
                }
           }
        }
    }

    .more-gallery {
        flex-direction: row-reverse;
        display: none;
      
        @media (max-width: 425px) {
            flex-direction: column;
        }
    }

    .more-gallery.active {
        display: flex;
    }
}